System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.NamedServiceModelExtensionCollectionElement<System.ServiceModel.Configuration.BindingElementExtensionElement> System.ServiceModel.Configuration.BindingElementExtensionElement System.Collections.Generic.ICollection<System.ServiceModel.Configuration.BindingElementExtensionElement> System.Collections.Generic.IEnumerable<System.ServiceModel.Configuration.BindingElementExtensionElement> System.ServiceModel.Configuration.IBindingConfigurationElement

Custom bindings provide full control over the indigo1 messaging stack. An individual binding defines the message stack by specifying the configuration elements for the stack elements in the order they appear on the stack. Each element defines and configures the one element of the stack. There must be one and only one transport element in each custom binding. Without this element, the messaging stack is incomplete.

The order in which elements appear in the stack matters, because it is the order in which operations are applied to the message. The recommended order of stack elements is the following:

Transactions (optional)

Reliable Messaging (optional)

Security (optional)

Transport

Encoder (optional)

Represents the configuration section that provides full control over the messaging stack for the user.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified name.

  A unique name for the binding element.
- Method
  4.0.0.0
  System.Void `` To be added.

  Adds the specified element to this configuration section.

  A to be added.
- Method
  4.0.0.0
  System.Void `` To be added.

  Applies the content of the specified binding to this binding configuration element. This method cannot be inherited.

  A binding.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Adds a new behavior element to this section and returns a value indicating if the operation is successful.

  true if the operation is successful; otherwise, false.

  A to be added.
- Property
  4.0.0.0
  System.ComponentModel.TypeConverter(typeof(System.ComponentModel.TimeSpanConverter))
  System.Configuration.ConfigurationProperty("closeTimeout", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.TimeSpan To be added. To be added.

  Gets or sets the interval of time provided for a close operation to complete.

- Method
  4.0.0.0
  System.Void `` To be added.

  Called when the content of a specified binding element is applied to this binding configuration element.

  A binding.
- Property
  4.0.0.0
  System.ComponentModel.TypeConverter(typeof(System.ComponentModel.TimeSpanConverter))
  System.Configuration.ConfigurationProperty("openTimeout", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.TimeSpan To be added. To be added.

  Gets or sets the interval of time provided for an open operation to complete.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets a instance that contains a collection of objects that can be attributes or objects of this configuration element.

- Property
  4.0.0.0
  System.ComponentModel.TypeConverter(typeof(System.ComponentModel.TimeSpanConverter))
  System.Configuration.ConfigurationProperty("receiveTimeout", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.TimeSpan To be added. To be added.

  Gets or sets the interval of time provided for a receive operation to complete.

- Property
  4.0.0.0
  System.ComponentModel.TypeConverter(typeof(System.ComponentModel.TimeSpanConverter))
  System.Configuration.ConfigurationProperty("sendTimeout", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.TimeSpan To be added. To be added.

  Gets or sets the interval of time provided for a send operation to complete.